Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2021-3508

Published: 28 April 2021

A flaw was found in PDFResurrect in version 0.22b. There is an infinite loop in get_xref_linear_skipped() in pdf.c via a crafted PDF file.

Priority

Medium

Cvss 3 Severity Score

5.5

Score breakdown

Status

Package Release Status
pdfresurrect
Launchpad, Ubuntu, Debian
impish Ignored
(end of life)
kinetic Ignored
(end of life, was needed)
bionic
Released (0.14-1ubuntu0.1~esm1)
Available with Ubuntu Pro
groovy Ignored
(end of life)
hirsute Ignored
(end of life)
trusty Needs triage

upstream
Released
xenial
Released (0.12-6ubuntu0.2+esm1)
Available with Ubuntu Pro
jammy
Released (0.22-2ubuntu0.1~esm1)
Available with Ubuntu Pro
focal
Released (0.19-1ubuntu0.1~esm1)
Available with Ubuntu Pro
mantic Needed

lunar Ignored
(end of life, was needed)
Patches:
upstream: https://github.com/enferex/pdfresurrect/commit/7e35d1806e111fd28610ccc86bb33f54792ac370

Severity score breakdown

Parameter Value
Base score 5.5
Attack vector Local
Attack complexity Low
Privileges required None
User interaction Required
Scope Unchanged
Confidentiality None
Integrity impact None
Availability impact High
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H